com.jogamp.common.util.cache

## Enum TempJarCache.LoadState

- java.lang.Object
- - java.lang.Enum<TempJarCache.LoadState>
  - - com.jogamp.common.util.cache.TempJarCache.LoadState

- All Implemented Interfaces:
    Serializable, Comparable<TempJarCache.LoadState>
  Enclosing class:
    TempJarCache

      public static enum TempJarCache.LoadState
      extends Enum<TempJarCache.LoadState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `LOADED`
    `LOOKED_UP`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `compliesWith(TempJarCache.LoadState o2)`
    `static TempJarCache.LoadState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static TempJarCache.LoadState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LOOKED_UP

          public static final TempJarCache.LoadState LOOKED_UP

    - #### LOADED

          public static final TempJarCache.LoadState LOADED

  - ### Method Detail

    - #### values

          public static TempJarCache.LoadState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TempJarCache.LoadState c : TempJarCache.LoadState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TempJarCache.LoadState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### compliesWith

          public boolean compliesWith(TempJarCache.LoadState o2)